# shutdownr

> A Rust re-implementation of System-V init shutdown(8)

## Build

```bash
cargo build
```

## Usage

```bash
shutdownr --help
```

## Contributing

### Code format

```bash
rustup component add rustfmt
cargo fmt
```

### Code analysis

```bash
rustup component add clippy
cargo clippy
```

## Improvements compared to original version

* Unlimited line length in `/etc/shutdown.allow`
* Unlimited number of users in `/etc/shutdown.allow`
* Strip lines before parsing `/etc/shutdown.allow`
* `SIGALRM` hacks have been replaced by timeouts in asynchronous contexts

## Disclaimer

Not fully-tested, use at your own risk (as always).
